OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.Hints

Description

This module corresponds to section 5.6 (Hints) of the OpenGL 2.1 specs.

# Documentation

data HintTarget Source #

Constructors

PerspectiveCorrection |
PointSmooth |
LineSmooth |
PolygonSmooth |
Fog |
GenerateMipmap |
TextureCompression |
PackCMYK |
UnpackCMYK |

#### Instances

Instances details

Show HintTarget Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Hints Methods showsPrec :: Int -> HintTarget -> ShowS Source # show :: HintTarget -> String Source # showList :: [HintTarget] -> ShowS Source #
Eq HintTarget Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Hints Methods (==) :: HintTarget -> HintTarget -> Bool Source # (/=) :: HintTarget -> HintTarget -> Bool Source #
Ord HintTarget Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Hints

Methods

compare :: HintTarget -> HintTarget -> Ordering Source #

(<) :: HintTarget -> HintTarget -> Bool Source #

(<=) :: HintTarget -> HintTarget -> Bool Source #

(>) :: HintTarget -> HintTarget -> Bool Source #

(>=) :: HintTarget -> HintTarget -> Bool Source #

max :: HintTarget -> HintTarget -> HintTarget Source #

min :: HintTarget -> HintTarget -> HintTarget Source #

data HintMode Source #

Constructors

DontCare |
Fastest |
Nicest |

#### Instances

Instances details

Show HintMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Hints Methods showsPrec :: Int -> HintMode -> ShowS Source # show :: HintMode -> String Source # showList :: [HintMode] -> ShowS Source #
Eq HintMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Hints Methods (==) :: HintMode -> HintMode -> Bool Source # (/=) :: HintMode -> HintMode -> Bool Source #
Ord HintMode Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Hints

Methods

compare :: HintMode -> HintMode -> Ordering Source #

(<) :: HintMode -> HintMode -> Bool Source #

(<=) :: HintMode -> HintMode -> Bool Source #

(>) :: HintMode -> HintMode -> Bool Source #

(>=) :: HintMode -> HintMode -> Bool Source #

max :: HintMode -> HintMode -> HintMode Source #

min :: HintMode -> HintMode -> HintMode Source #

hint :: HintTarget -> StateVar HintMode Source #